// DAVComponent.java
// $Id: DAVComponent.java,v 1.3 2001/01/30 14:26:03 bmahe Exp $
// (c) COPYRIGHT MIT, INRIA and Keio, 2000.
// Please first read the full copyright statement in file COPYRIGHT.html

package org.w3c.jwput.gui.webdav;

import java.util.*;

import java.awt.event.*;
import java.awt.*;

import javax.swing.*;
import javax.swing.text.*;

/**
 * @version $Revision: 1.3 $
 * @author  Benot Mah (bmahe@w3.org)
 */
public class DAVComponent extends JPanel implements DAVActions {

    protected void initialize(Hashtable props) {

    }

    protected void build(Hashtable props) {
	// toolbar
	DAVToolBar toolbar = new DAVToolBar();
	toolbar.addActionListener(new ActionListener() {
	    public void actionPerformed(ActionEvent ev) {
		String command = ev.getActionCommand();
		System.out.println(command);
		if (command.equals(OPEN_LOCATION_CMD)) {
		    System.out.println(((JTextComponent)ev.getSource())
				       .getText());
		}
	    }
	});
	// DAVTreeView
	DAVTreeView treeview = new DAVTreeView();
	// DAVFileView
	DAVFileView fileview = new DAVFileView();

	treeview.addSelectionListener(fileview);
	fileview.addSelectionListener(treeview);
	// splitpane

	JSplitPane jsp1 = new JSplitPane(JSplitPane.VERTICAL_SPLIT,
					 fileview.getComponent(),
					 new JButton("Properties"));
	jsp1.setOneTouchExpandable(true);
	jsp1.setDividerLocation((double)0.5);

	JSplitPane jsp = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,
					treeview.getComponent(),
					jsp1);
	jsp.setDividerLocation((double)0.5);

	add(toolbar, BorderLayout.NORTH);
	add(jsp, BorderLayout.CENTER);

    }

    public DAVComponent(Hashtable props) {
	super(new BorderLayout());
	initialize(props);
	build(props);
    }
}
